Canalplan Bug Tracker



Anonymous Login
2017-09-23 12:15 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000309Canalplan [All Projects] Generalpublic2017-08-28 07:24
ReporterJohn 
Assigned ToNick Atty 
PriorityurgentSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindows 7OSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000309: Unable to access
DescriptionSelecting "Plan a Journey" or "Preferences" produces FATAL ERROR. CanalplanAC cannot continue.

Error: Syntax error in 79 of includes/options.can
waterway file
sql.c:1166::SQL error: database is locked when loading waterways
Steps To ReproduceHappens immediately, every time.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001242

Nick Atty (administrator)

Very odd. I can clear it, and it is fine until you try to do something and then it locks up again.

Am investigating as a matter of utmost urgency.

~0001243

Nick Atty (administrator)

It appears to be that when the geodata records get updated on an active system they cause a database lock.

I don't know why this has just started happening. I've turned them off and it seems stable - I'll keep monitoring it, and also try to work out what to do about it.

Many thanks for reporting this.

~0001244

Nick Atty (administrator)

A bit more background on this - there was a stray process that had been hanging around that was keeping the database open. This meant that any attempts to update it failed.

That was OK until we ended up with two processes getting deadlocked trying to update it (the background processor and geodata changes).

I'm not very happy with the geodata code and so am rewriting it to make it quicker, and to put the actual database update into the background.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-26 07:51 John New Issue
2017-08-26 12:27 Nick Atty Note Added: 0001242
2017-08-26 13:15 Nick Atty Assigned To => Nick Atty
2017-08-26 13:15 Nick Atty Status new => acknowledged
2017-08-26 13:15 Nick Atty Note Added: 0001243
2017-08-26 17:23 Nick Atty Note Added: 0001244
2017-08-28 07:24 Nick Atty Status acknowledged => resolved
2017-08-28 07:24 Nick Atty Resolution open => fixed
+Issue History